slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDGetTolerances

Gets the tolerance and maximum iteration count used by the default SVD convergence tests.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDGetTolerances(SVD svd,PetscReal *tol,PetscInt *maxits)

Not Collective

### Input Parameter

| svd | - the singular value solver context

### Output Parameters

| tol | - the convergence tolerance
| maxits | - maximum number of iterations

### Notes

The user can specify NULL for any parameter that is not needed.

### See Also

SVDSetTolerances()

### Level

intermediate

### Location

src/svd/interface/svdopts.c

### Examples

src/svd/tutorials/ex14.c
src/svd/tutorials/ex15.c
src/svd/tutorials/ex15f.F90
src/svd/tutorials/ex45.c
src/svd/tutorials/ex52.c
src/svd/tutorials/ex53.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages